#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.7
visibility:           public
id:                   hOpenPGP-2.9.7-CBljpBoyO0AXOey2Cn3eq
key:                  hOpenPGP-2.9.7-CBljpBoyO0AXOey2Cn3eq
license:              MIT
copyright:            2012-2021  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  8a738d0ec5e53ff76850d5e6367c2170
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/hOpenPGP-2.9.7
hs-libraries:         HShOpenPGP-2.9.7-CBljpBoyO0AXOey2Cn3eq
depends:
    aeson-1.5.6.0-AIOjF99b4i15RTiIgKIYjO
    asn1-encoding-0.9.6-fVj2nH8xtEDLpjx8FTE9Q
    attoparsec-0.14.4-D5og7XyPWkJ5mYaAXELiLF base-4.15.1.0
    base16-bytestring-1.0.2.0-IguRk88oKP7GmO5zswbh6u
    bifunctors-5.5.11-DPiSb5PevCL40ojer22pul binary-0.8.8.0
    binary-conduit-1.3.1-65peLcMUm3R79HdBpqOkcO bytestring-0.10.12.1
    bz2-1.0.1.0-DDWTWavIR8SGtW3uCJBgcR
    conduit-1.3.4.2-1Dj2Rn8d5gx9afxHW7mS2C
    conduit-extra-1.3.5-EUnRi0aAPZM7znZjLskcK1 containers-0.6.4.1
    crypto-cipher-types-0.0.9-5ILz6kxkbGMIFcBX39zea
    cryptonite-0.30-59FOHp1ZJA543myksk4emn
    errors-2.3.0-AMf4swi6TfI2g0Jb1DBx7t
    hashable-1.4.0.0-1WceaWFbireGDX0CpHAq2k
    incremental-parser-0.5.0.3-9MPt4PobsgY2T5gJ8P3qKw
    ixset-typed-0.5-8TR2GVOsLGMJhE2KLmfs5Q
    lens-5.1-GygwND1WcrcIy7A7vmuRWa
    memory-0.16.0-KCvRQBtf1MgDfoYCEPHsWl
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-G72c3rFgPgR1SxYxKmyWWD
    network-uri-2.6.4.1-8f9i79TUj715JZhvQgaY4U
    openpgp-asciiarmor-0.1.2-Kj9KVbckc7y56rl1Afweuh
    prettyprinter-1.7.1-7JVkKd72NixFgZyVogsi8v
    resourcet-1.2.4.3-6xSSDlJt6Qw9ePbxI43Doy
    split-0.2.3.4-JhiIG7ncyJsDohWdMRo6wZ text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.17.0-3BdVQ0XjWEwL87G4XZjXWP
    zlib-0.6.2.3-LtqO1hBG8XNF4PpuV4nKUe

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

